fprintf('Domo arigato for trying Domo!\n')

if length(which('csdp'))
  fprintf('Found csdp, proceeding\n');
else
  fprintf('Did not find csdp\n');
  fprintf('Aborting\n');
  return
end
if length(which('lsqlin'))
  fprintf('Found lsqlin, proceeding\n');
else
  fprintf('Did not find lsqlin: the optimization toolbox is required\n');
  fprintf('Aborting\n');
  return
end

idir = fileparts(fileparts(which('domo_predict'))); % Where is domo?
datafile = [idir '/data/d1ixsa_.dat'];      % Data file

I = instance(datafile);                     % Read a protein instance
Dn = get_noise(I, [], 'dmat', 1, 0.25);     % Create a noisy distance matrix
fprintf('\nComputing Domo prediction\n');
Edomo = domo_predict(I,Dn);                 % Predict the structure using the noisy data
fprintf('\nComputing NEDM prediction\n');
Enedm = nedm_predict(I,Dn,'frac',0.05);     % Nearest EDM, 15 angstrom cutoff
fprintf('\nComputing CMDS prediction\n');
Ecmds = cmds_predict(I,Dn);                 % Classical multidimensional scaling
fprintf('Finished with structure predictions\n');

fprintf('Domo prediction: ');
gram2struct(mat(Edomo.x),'I',I,'srmsd');    % Compute RMSD of prediction to truth 
fprintf('Press return to view the next prediction\n');
pause;
fprintf('NEDM prediction: ');
gram2struct(mat(Enedm.x),'I',I,'srmsd');    % Compute RMSD of prediction to truth 
fprintf('Press return to view the next prediction\n');
pause;
fprintf('CMDS prediction: ');
gram2struct(mat(Ecmds.x),'I',I,'srmsd');    % Compute RMSD of prediction to truth 

