function v=mat2svec(X,scale)

% function v=mat2svec(X,scale)
%
% Convert a symmetric matrix to vector representation, uses diagonal
% ordering, scale=sqrt(2) by default to preserve inner products

if nargin<2 || scale==0, scale=sqrt(2); end
[m n]=size(X);
% dim=sqrt(m);
% rem=dim-fix(dim);
% if m~=n || ~(n==1 && rem==0)
if m~=n
  fprintf(1,'ERROR: mat2svec must be given a square matrix\n'); % or a vectorized square matrix\n');
  v=0; return;
end
% if rem==0
%   X=mat(X);
% end

if issparse(X)
  v=spalloc(triang(m),1,nnz(diag(X))+(nnz(X)-nnz(X))/2);
else
  v=zeros(triang(m),1);
end

v(1:m)=diag(X,0);
idx=m;
for i=1:m-1
  v(idx+1:idx+m-i)=diag(X,i)*scale;
  idx=idx+m-i;
end



% else
%   for i=1:m-1
%     v(idx+1:idx+m-i)=diag(X,i);
%     idx=idx+m-i;
%   end
% end

% Old column conversion
% idx=1;
% for i=1:m
%   v(idx:idx+m-i)=X(i:m,i);
%   if symflag,
%     v(idx+1:idx+m-i)=v(idx+1:idx+m-i)*r2;
%   end
%   idx=idx+m-i+1;
% end
