function [XL XS]=separate(X,K)
% function [XL XS]=separate(X,K)
% 
% Separate the linear and semidefinite portions of input X. If X is a
% vector, it is assumed to be a single point versus a matrix like A

[m n]=size(X);
if n==1
  XL=X(1:K.l);
  XS=X(K.l+1:m);
else                                    
  XL=X(:,1:K.l);
  XS=X(:,K.l+1:n);
end
